Package com.sun.speech.freetts.cart

# Class Intonator

java.lang.Object
com.sun.speech.freetts.cart.Intonator

All Implemented Interfaces:
  `UtteranceProcessor`

public class Intonator extends Object implements UtteranceProcessor
Annotates the `Relation.SYLLABLE` relations of an utterance with "accent" and "endtone" features. Though not required, a typical use of this is to use the ToBI (tones and break indeces) scheme for transcribing intonation and accent in English, developed by Janet Pierrehumbert and Mary Beckman. This implementation is independent of the ToBI scheme: ToBI annotations are not used by this class, but are merely copied from the CART result to the "accent" and "endtone" features of the `Relation.SYLLABLE` relation.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CART`
`accentCart`
The accent CART used for this Intonation UtteranceProcessor.
`protected CART`
`toneCart`
The tone CART used for this Intonation UtteranceProcessor.

## Constructor Summary

Constructors
Constructor
Description
`Intonator(CART accentCart, CART toneCart)`
Creates a new Intonation UtteranceProcessor with the given CARTs.

## Method Summary

Modifier and Type
Method
Description
`void`
`processUtterance(Utterance utterance)`
Annotates the `Relation.SYLLABLE` relations of an utterance with "accent" and "endtone" features.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### accentCart

protected CART accentCart
The accent CART used for this Intonation UtteranceProcessor. It is passed into the constructor.

### toneCart

protected CART toneCart
The tone CART used for this Intonation UtteranceProcessor. It is passed into the constructor.

## Constructor Details

### Intonator

public Intonator(CART accentCart, CART toneCart)
Creates a new Intonation UtteranceProcessor with the given CARTs.

Parameters:
  `accentCart` - the CART for doing accents
  `toneCart` - the CART for doing end tones

## Method Details

### processUtterance

public void processUtterance(Utterance utterance) throws ProcessException
Annotates the `Relation.SYLLABLE` relations of an utterance with "accent" and "endtone" features. Depends upon "NONE" being returned by either the accent or tone CART to indicate there isn't an intonation feature for a syllable.

Specified by:
  `processUtterance` in interface `UtteranceProcessor`
Parameters:
  `utterance` - the utterance to process/tokenize
Throws:
  `ProcessException` - if an IOException is thrown during the processing of the utterance

### toString

public String toString()

Overrides:
  `toString` in class `Object`